/*
 * Task_NormalTask.c
 *
 *  Created on: 2017. 5. 26.
 *      Author: Mirae
 */


 //Free RTOS
#include "FreeRTOS.h"
#include "task.h"
#include "partest.h"
#include "driverlib.h"

#define Priority_A 3
#define Priority_B 2

void vTask_NormalTask(void);
static void TaskA(void * pvParam);
static void TaskB(void * pvParam);

#define mainTASK_LED                        ( 0 )


void vTask_NormalTask(void)
{
     xTaskCreate(TaskA,//태스크를 실행할 함수 포인터
                 "TaskA",//태스크 이름
                 configMINIMAL_STACK_SIZE,//스택 크기  word
                 ( void * ) NULL,//태스크의 매개변수
                 Priority_A,//우선순위
                 NULL);//태스크 핸들

     xTaskCreate(TaskB,//태스크를 실행할 함수 포인터
                 "TaskB",//태스크 이름
                 configMINIMAL_STACK_SIZE,//스택 크기  word
                 ( void * ) NULL,//태스크의 매개변수
                 Priority_B,//우선순위
                 NULL);
}

 static void TaskA(void * pvParam)
 {
     while(1)
     {
         vTaskDelay(100);

     }
 }
 static void TaskB(void * pvParam)
 {

     while(1)
     {
         vParTestToggleLED( mainTASK_LED );
         vTaskDelay(100);

    }
 }

